Ignore:
Timestamp:
Nov 27, 2006 10:40:45 AM (13 years ago)
Author:
andreasw
Message:

updated everything to work with new LAPACK 3.1.0 version; old instructions no longer worked

File:
1 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/Lapack/stable/1.0/configure

    r123 r137  
    434434PACKAGE_BUGREPORT='http://projects.coin-or.org/BuildTools/newticket'
    435435
    436 ac_unique_file="LAPACK/SRC/dlarf.f"
     436ac_unique_file="lapack-3.1.0/SRC/dlarf.f"
    437437ac_default_prefix=`pwd`
    438438# Factoring default headers for most tests.
     
    1996319963#############################################################################
    1996419964
    19965 lapack_source_files='dlae2.f dlaev2.f dlamch.f dlanst.f dlansy.f dlapy2.f dlarf.f dlarfb.f dlarfg.f dlarft.f dlartg.f dlascl.f dlaset.f dlasr.f dlasrt.f dlassq.f dlatrd.f dorg2l.f dorg2r.f dorgql.f dorgqr.f dorgtr.f dpotf2.f dpotrf.f dpotrs.f dsteqr.f dsterf.f dsyev.f dsytd2.f dsytrd.f ieeeck.f ilaenv.f'
     19965lapack_source_files='dlae2.f dlaev2.f dlanst.f dlansy.f dlapy2.f dlarf.f dlarfb.f dlarfg.f dlarft.f dlartg.f dlascl.f dlaset.f dlasr.f dlasrt.f dlassq.f dlatrd.f dorg2l.f dorg2r.f dorgql.f dorgqr.f dorgtr.f dpotf2.f dpotrf.f dpotrs.f dsteqr.f dsterf.f dsyev.f dsytd2.f dsytrd.f ieeeck.f ilaenv.f iparmq.f'
    1996619966for file in $lapack_source_files; do
    19967             ac_config_links="$ac_config_links $file:LAPACK/SRC/$file"
     19967            ac_config_links="$ac_config_links $file:lapack-3.1.0/SRC/$file"
    1996819968
    1996919969done
     19970          ac_config_links="$ac_config_links dlamch.f:lapack-3.1.0/INSTALL/dlamch.f"
     19971
    1997019972
    1997119973          ac_config_files="$ac_config_files Makefile"
     
    2059720599  # Handling of arguments.
    2059820600  "Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;;
    20599   "$file" ) CONFIG_LINKS="$CONFIG_LINKS $file:LAPACK/SRC/$file" ;;
     20601  "$file" ) CONFIG_LINKS="$CONFIG_LINKS $file:lapack-3.1.0/SRC/$file" ;;
     20602  "dlamch.f" ) CONFIG_LINKS="$CONFIG_LINKS dlamch.f:lapack-3.1.0/INSTALL/dlamch.f" ;;
    2060020603  "depfiles" ) CONFIG_COMMANDS="$CONFIG_COMMANDS depfiles" ;;
    2060120604  *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
     
    2139321396
    2139421397if test x"$coin_vpath_link_files" = x; then : ; else
    21395   { echo "$as_me:$LINENO: Creating VPATH links for data files" >&5
     21398  lnkcmd=
     21399  if test "$enable_doscompile" = yes; then
     21400    lnkcmd=cp
     21401  fi
     21402  case "$CC" in
     21403    cl* | */cl*)
     21404      lnkcmd=cp ;;
     21405  esac
     21406  if test "$lnkcmd" = cp; then
     21407    { echo "$as_me:$LINENO: Copying data files for VPATH configuration" >&5
     21408echo "$as_me: Copying data files for VPATH configuration" >&6;}
     21409  else
     21410    echo "$as_me:$LINENO: checking whether ln -s works" >&5
     21411echo $ECHO_N "checking whether ln -s works... $ECHO_C" >&6
     21412LN_S=$as_ln_s
     21413if test "$LN_S" = "ln -s"; then
     21414  echo "$as_me:$LINENO: result: yes" >&5
     21415echo "${ECHO_T}yes" >&6
     21416else
     21417  echo "$as_me:$LINENO: result: no, using $LN_S" >&5
     21418echo "${ECHO_T}no, using $LN_S" >&6
     21419fi
     21420
     21421    { echo "$as_me:$LINENO: Creating VPATH links for data files" >&5
    2139621422echo "$as_me: Creating VPATH links for data files" >&6;}
     21423    lnkcmd="$LN_S"
     21424  fi
    2139721425  for file in $coin_vpath_link_files; do
     21426    dir=`(dirname "./$file") 2>/dev/null ||
     21427$as_expr X"./$file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
     21428         X"./$file" : 'X\(//\)[^/]' \| \
     21429         X"./$file" : 'X\(//\)$' \| \
     21430         X"./$file" : 'X\(/\)' \| \
     21431         .     : '\(.\)' 2>/dev/null ||
     21432echo X"./$file" |
     21433    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
     21434          /^X\(\/\/\)[^/].*/{ s//\1/; q; }
     21435          /^X\(\/\/\)$/{ s//\1/; q; }
     21436          /^X\(\/\).*/{ s//\1/; q; }
     21437          s/.*/./; q'`
     21438    if test -d $dir; then : ; else
     21439      { if $as_mkdir_p; then
     21440    mkdir -p $dir
     21441  else
     21442    as_dir=$dir
     21443    as_dirs=
     21444    while test ! -d "$as_dir"; do
     21445      as_dirs="$as_dir $as_dirs"
     21446      as_dir=`(dirname "$as_dir") 2>/dev/null ||
     21447$as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
     21448         X"$as_dir" : 'X\(//\)[^/]' \| \
     21449         X"$as_dir" : 'X\(//\)$' \| \
     21450         X"$as_dir" : 'X\(/\)' \| \
     21451         .     : '\(.\)' 2>/dev/null ||
     21452echo X"$as_dir" |
     21453    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
     21454          /^X\(\/\/\)[^/].*/{ s//\1/; q; }
     21455          /^X\(\/\/\)$/{ s//\1/; q; }
     21456          /^X\(\/\).*/{ s//\1/; q; }
     21457          s/.*/./; q'`
     21458    done
     21459    test ! -n "$as_dirs" || mkdir $as_dirs
     21460  fi || { { echo "$as_me:$LINENO: error: cannot create directory $dir" >&5
     21461echo "$as_me: error: cannot create directory $dir" >&2;}
     21462   { (exit 1); exit 1; }; }; }
     21463
     21464    fi
    2139821465    rm -f $file
    21399     $LN_S $abs_source_dir/$file $file
     21466    $lnkcmd $abs_source_dir/$file $file
    2140021467  done
    2140121468fi
Note: See TracChangeset for help on using the changeset viewer.